Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	cross-platform library behind Panorama Tools and many other GUI photo stitchers
Name:      	libpano13
Version:   	2.9.14
Release:   	1
License: 	GPL
URL:		http://panotools.sourceforge.net/
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: zlib-devel

%description
The panorama tools are mainly used to build panoramic images from a set of overlapping images. The usability extends beyond "just" building panoramas by far though. You can, for instance, use them to render an average of multiple images to broaden the dynamic range of the images or average out noise. You can also build object movies with them, morph between images and much more.

%package devel
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for developing applications using %{name}

 

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure 	--prefix=%{_prefix} \
		--mandir=%{_mandir} \
		--infodir=%{_infodir} \
		--sysconfdir=%{_sysconfdir} \
		--localstatedir=%{_localstatedir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%{_bindir}/PTAInterpolate
%{_bindir}/PTblender
%{_bindir}/PTcrop
%{_bindir}/PTinfo
%{_bindir}/PTmasker
%{_bindir}/PTmender
%{_bindir}/PToptimizer
%{_bindir}/PTroller
%{_bindir}/PTtiff2psd
%{_bindir}/PTtiffdump
%{_bindir}/PTuncrop
%{_bindir}/panoinfo
%{_libdir}/libpano13.so.*
%{_mandir}/man1/PTAInterpolate.1.gz
%{_mandir}/man1/PTblender.1.gz
%{_mandir}/man1/PTcrop.1.gz
%{_mandir}/man1/PTinfo.1.gz
%{_mandir}/man1/PTmasker.1.gz
%{_mandir}/man1/PTmender.1.gz
%{_mandir}/man1/PToptimizer.1.gz
%{_mandir}/man1/PTroller.1.gz
%{_mandir}/man1/PTtiff2psd.1.gz
%{_mandir}/man1/PTtiffdump.1.gz
%{_mandir}/man1/PTuncrop.1.gz
%{_mandir}/man1/panoinfo.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/pano13/
%{_libdir}/libpano13.so
%{_libdir}/libpano13.la


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.9.14-1
- Version update
* Wed Dec 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.9.12-1
- initial release
